Subject: TK problems
From: [email-masked] (Jon Travis)

3 Jul 1997 15:52:48 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

I am in the process of porting an application from UNIX to NT.  I am using
the Tk & TCL libraries, but am unable to compile them correctly.  I have
searched the archive at cygnus, but haven't been able to find the
infromation I need.  Here is the lowdown:

	I need to compile TCL & TK so that they are NOT in a DLL -- because I need
to override various functions & widgets defined in those libraries.  So
a .a would be preferable ..  I have tried to link in the .lib's generated
by the Visual C compiler, and am able to link them, however they still
require DLL's..  Does anyone have a working setup, so that they are
able to recompile .c files and add to an archive?  And it works?  
Thank you very much for the help 

	-- Jon
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".